# UpdateAlertStrategy - UpdateAlertStrategy

## Overview

UpdateAlertStrategy






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateAlertStrategy`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave blank for the default project; sub-account must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |**Yes**|
| **AlertStrategyID** | string | AlertStrategyId |**Yes**|
| **Name** | string | Alert Strategy Name |**Yes**|
| **ProductKey** | string | ProductKey， See[Product Introduce](https://docs.ucloud.cn/cloudwatch/metric/intro) |**Yes**|
| **ObjectType** | int | ObjectType |**Yes**|
| **ConfigMode** | int | ConfigMode |**Yes**|
| **Resources.N** | string | Resources |No|
| **ResourceGroupIDs.N** | int | ResourceGroupIDs.N.0 |No|
| **TemplateId** | int | TemplateId |No|
| **RuleSet.N.MetricID** | int | Rule Metric ID. Refer to the list of metrics returned under this type of product GetProductMetrics |No|
| **RuleSet.N.ThresholdCompare** | int | Threshold comparison method. Enumeration value comparison method: 1：>= <br />2：<= <br />3：> <br />4：< <br />5：== <br />6：!= |No|
| **RuleSet.N.ThresholdValue** | int | Alert Rule ThresholdValue |No|
| **RuleSet.N.TriggerCount** | int | Alert Rule TriggerCount<br /> |No|
| **RuleSet.N.SendPeriodType** | string | Trigger cycle. Enumeration values: continuous Continuous, exponent Exponential, single Non-repeating |No|
| **RuleSet.N.Level** | string | Alert level. Enumeration value: P0, P1, P2, P3 |No|
| **RuleSet.N.Status** | int | Alert Rule Status |No|
| **RuleSet.N.SendInterval** | int | Silent period (required when the alarm period is set to Continuous) |No|
| **NotifyType** | string | Notification Type Notification Group group Notifier user |No|
| **NotifyUserIDs.N** | int | NotifyUserIDs |No|
| **NotifyGroupIDs.N** | int | NotifyGroupIDs |No|
| **NotifyChannelDs.N** | string | NotifyChannelDs |No|
| **CallbackLanguage** | string | CallbackLanguage |No|
| **CallbackUrls.N** | string | CallbackUrls |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | [*AlertStrategyId*](#alertstrategyid) | Update Alert Strategy Return Object |No|

#### Data Model


#### AlertStrategyId

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **AlertStrategyID** | int | AlertStrategyId |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=UpdateAlertStrategy
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=hEDzCADE
&AlertStrategyID=wzBiMDOY
&Name=opVpXTvF
&ProductKey=guTjyfVD
&ObjectType=1
&Resources.N.0=DtMqyNEA
&ResourceGroupIDs.N.0=5
&Tags.N.key=MRpLGNPu
&Tags.N.Operator=fdgdIBeM
&Tags.N.Values.N.0=LPpcjdkb
&ConfigMode=7
&TemplateId=9
&RuleSet.N.MetricID=3
&RuleSet.N.ThresholdCompare=6
&RuleSet.N.ThresholdValue=6
&RuleSet.N.TriggerCount=3
&RuleSet.N.SendPeriodType=dISAjraT
&RuleSet.N.Level=DsGBHRkE
&RuleSet.N.Status=6
&RuleSet.N.SendInterval=1
&NotifyType=zlffquPL
&NotifyUserIDs.N.0=2
&NotifyGroupIDs.N.0=6
&NotifyChannelDs.N.0=RWRucvvn
&CallbackLanguage=NUHEQECZ
&CallbackUrls.N.0=hkLnxfjh
```

### Response Example
    
```json
{
  "Action": "UpdateAlertStrategyResponse",
  "Data": {},
  "RetCode": 0
}
```





